Package org.firebirdsql.jdbc.metadata

## Class FbMetadataConstants

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.FbMetadataConstants

    @InternalApi
    public final class FbMetadataConstants
    extends java.lang.Object

Constants for metadata as used in the Firebird metadata tables `DatabaseMetaData` implementation.

Since:
  4.0
Author:
  Mark Rotteveel

### Field Summary

Fields
`static int` `BIGINT_PRECISION`
`static int` `blob_type`
`static int` `BOOLEAN_BINARY_PRECISION`
`static int` `boolean_type`
`static int` `char_type`
`static int` `cstring_type`
`static int` `d_float_type`
`static int` `DATE_PRECISION`
`static int` `date_type`
`static int` `dec_fixed_type` Deprecated.
`static int` `dec16_type`
`static int` `dec34_type`
`static int` `DECFLOAT_16_PRECISION`
`static int` `DECFLOAT_34_PRECISION`
`static int` `DOUBLE_BINARY_PRECISION`
`static int` `DOUBLE_DECIMAL_PRECISION`
`static int` `double_type`
`static int` `FLOAT_BINARY_PRECISION`
`static int` `FLOAT_DECIMAL_PRECISION`
`static int` `float_type`
`static int` `int128_type`
`static int` `int64_type`
`static int` `INTEGER_PRECISION`
`static int` `integer_type`
`static int` `NUMERIC_BIGINT_PRECISION`
`static int` `NUMERIC_DEC_FIXED_PRECISION`
`static int` `NUMERIC_INTEGER_PRECISION`
`static int` `NUMERIC_SMALLINT_PRECISION`
`static int` `OBJECT_NAME_LENGTH`
`static int` `OBJECT_NAME_LENGTH_BEFORE_V4_0`
`static int` `OBJECT_NAME_LENGTH_V4_0`
`static int` `quad_type`
`static int` `RADIX_BINARY`
`static int` `RADIX_DECIMAL`
`static int` `SMALLINT_PRECISION`
`static int` `smallint_type`
`static int` `SUBTYPE_DECIMAL`
`static int` `SUBTYPE_NUMERIC`
`static int` `TIME_PRECISION`
`static int` `time_type`
`static int` `time_tz_type`
`static int` `TIME_WITH_TIMEZONE_PRECISION`
`static int` `TIMESTAMP_PRECISION`
`static int` `timestamp_type`
`static int` `timestamp_tz_type`
`static int` `TIMESTAMP_WITH_TIMEZONE_PRECISION`
`static int` `varchar_type`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUBTYPE_NUMERIC

    public static final int SUBTYPE_NUMERIC

See Also:
  Constant Field Values

#### SUBTYPE_DECIMAL

    public static final int SUBTYPE_DECIMAL

See Also:
  Constant Field Values

#### FLOAT_BINARY_PRECISION

    public static final int FLOAT_BINARY_PRECISION

See Also:
  Constant Field Values

#### FLOAT_DECIMAL_PRECISION

    public static final int FLOAT_DECIMAL_PRECISION

See Also:
  Constant Field Values

#### DOUBLE_BINARY_PRECISION

    public static final int DOUBLE_BINARY_PRECISION

See Also:
  Constant Field Values

#### DOUBLE_DECIMAL_PRECISION

    public static final int DOUBLE_DECIMAL_PRECISION

See Also:
  Constant Field Values

#### BIGINT_PRECISION

    public static final int BIGINT_PRECISION

See Also:
  Constant Field Values

#### INTEGER_PRECISION

    public static final int INTEGER_PRECISION

See Also:
  Constant Field Values

#### SMALLINT_PRECISION

    public static final int SMALLINT_PRECISION

See Also:
  Constant Field Values

#### BOOLEAN_BINARY_PRECISION

    public static final int BOOLEAN_BINARY_PRECISION

See Also:
  Constant Field Values

#### NUMERIC_BIGINT_PRECISION

    public static final int NUMERIC_BIGINT_PRECISION

See Also:
  Constant Field Values

#### NUMERIC_INTEGER_PRECISION

    public static final int NUMERIC_INTEGER_PRECISION

See Also:
  Constant Field Values

#### NUMERIC_SMALLINT_PRECISION

    public static final int NUMERIC_SMALLINT_PRECISION

See Also:
  Constant Field Values

#### NUMERIC_DEC_FIXED_PRECISION

    public static final int NUMERIC_DEC_FIXED_PRECISION

See Also:
  Constant Field Values

#### DECFLOAT_16_PRECISION

    public static final int DECFLOAT_16_PRECISION

See Also:
  Constant Field Values

#### DECFLOAT_34_PRECISION

    public static final int DECFLOAT_34_PRECISION

See Also:
  Constant Field Values

#### DATE_PRECISION

    public static final int DATE_PRECISION

See Also:
  Constant Field Values

#### TIME_PRECISION

    public static final int TIME_PRECISION

See Also:
  Constant Field Values

#### TIMESTAMP_PRECISION

    public static final int TIMESTAMP_PRECISION

See Also:
  Constant Field Values

#### TIME_WITH_TIMEZONE_PRECISION

    public static final int TIME_WITH_TIMEZONE_PRECISION

See Also:
  Constant Field Values

#### TIMESTAMP_WITH_TIMEZONE_PRECISION

    public static final int TIMESTAMP_WITH_TIMEZONE_PRECISION

See Also:
  Constant Field Values

#### RADIX_BINARY

    public static final int RADIX_BINARY

See Also:
  Constant Field Values

#### RADIX_DECIMAL

    public static final int RADIX_DECIMAL

See Also:
  Constant Field Values

#### OBJECT_NAME_LENGTH_BEFORE_V4_0

    public static final int OBJECT_NAME_LENGTH_BEFORE_V4_0

See Also:
  Constant Field Values

#### OBJECT_NAME_LENGTH_V4_0

    public static final int OBJECT_NAME_LENGTH_V4_0

See Also:
  Constant Field Values

#### OBJECT_NAME_LENGTH

    public static final int OBJECT_NAME_LENGTH

See Also:
  Constant Field Values

#### smallint_type

    public static final int smallint_type

See Also:
  Constant Field Values

#### integer_type

    public static final int integer_type

See Also:
  Constant Field Values

#### quad_type

    public static final int quad_type

See Also:
  Constant Field Values

#### float_type

    public static final int float_type

See Also:
  Constant Field Values

#### d_float_type

    public static final int d_float_type

See Also:
  Constant Field Values

#### date_type

    public static final int date_type

See Also:
  Constant Field Values

#### time_type

    public static final int time_type

See Also:
  Constant Field Values

#### char_type

    public static final int char_type

See Also:
  Constant Field Values

#### int64_type

    public static final int int64_type

See Also:
  Constant Field Values

#### boolean_type

    public static final int boolean_type

See Also:
  Constant Field Values

#### dec16_type

    public static final int dec16_type

See Also:
  Constant Field Values

#### dec34_type

    public static final int dec34_type

See Also:
  Constant Field Values

#### int128_type

    public static final int int128_type

See Also:
  Constant Field Values

#### dec_fixed_type

    @Deprecated
    public static final int dec_fixed_type

Deprecated.

See Also:
  Constant Field Values

#### double_type

    public static final int double_type

See Also:
  Constant Field Values

#### time_tz_type

    public static final int time_tz_type

See Also:
  Constant Field Values

#### timestamp_tz_type

    public static final int timestamp_tz_type

See Also:
  Constant Field Values

#### timestamp_type

    public static final int timestamp_type

See Also:
  Constant Field Values

#### varchar_type

    public static final int varchar_type

See Also:
  Constant Field Values

#### cstring_type

    public static final int cstring_type

See Also:
  Constant Field Values

#### blob_type

    public static final int blob_type

See Also:
  Constant Field Values